netbeans-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Emilian Bold <emilian.b...@gmail.com>
Subject Re: [rcp][platform] Moving UI application based on Netbeans RCP 6.9.1 to 9.0 ?
Date Fri, 19 Oct 2018 16:01:08 GMT
The RCP is still supported and will be. I don't think 9.0 versus 10.0
will matter in terms of RCP, so if you have to pick something, go with
the latest version.

Backporting stuff for 6.9.1 might be an option depending how expensive
the migration is going to be, but I think there's value in the
migration itself.

--emi

On Thu, Oct 18, 2018 at 7:13 PM tanas gjorgoski <tgjorgoski@gmail.com> wrote:
>
> Hi,
>
> The company I work for has an UI app built using the Netbeans Rich Client Platform (RCP)
 6.9.1 version. It has stopped working under JDK 9, and I got the job of figuring out what
to do.
> I think it would be best if we can move to Netbeans 9.0, instead of patching the 6.9.1
code. But before I look into it , I thought to ask:
> a)  is the RCP still supported as part of Netbeans 9.0
> b) given that I expect the work might take possibly a month - is it better to look into
moving to 10.0?
> c) is the support for the RCP planned to continue in future?
>
> Thanks,
> Tanas Gjorgoski
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@netbeans.apache.org
> For additional commands, e-mail: users-help@netbeans.apache.org
>
> For further information about the NetBeans mailing lists, visit:
> https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists
>

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@netbeans.apache.org
For additional commands, e-mail: users-help@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists


Mime
View raw message